﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Data.Entity;
using System.Linq;
using System.Web;

namespace WebApplication7.Models
{
    public class Person
    {
        [ScaffoldColumn(false)]
        public int Id { get; set; }
        
        [Required]
        public string Name { get; set; }
        
        [DataType(DataType.EmailAddress)]
        public string Email { get; set; }
    }

    public class MyContext : DbContext
    {
        public DbSet<Person> People { get; set; }
    }
}